encode
| RivetEntities |

## Name

encode — encode a string replacing every occurrence of characters for which an SGML entity exists

## Synopsis

::rivet::encode string ?-encoding `<encoding>`?

## Description

::rivet::encode returns a copy of the input string after replacing every occurence of characters for which an SGML entity exists. By default the command assumes the string is encoded in UTF-8, other encodings are supported by passing the -encoding <encoding> argument. The list of available encodings is returned by command

    encoding names

RivetEntities |  | decode